<?php
/**
 * @copyright   Copyright (C) Chatbro. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

defined('_JEXEC') or die();

use Joomla\CMS\Installer\InstallerAdapter;
use Joomla\CMS\Factory;

class Pkg_ChatbroInstallerScript
{
	public function __construct(InstallerAdapter $adapter)
	{
	}

	public function postflight($type, $parent)
	{
		if ($type === 'uninstall') {
			return true;
		}

		// Enable chatbro plugin manualy
		$db = Factory::getDbo();
		$query = $db->getQuery(true);
		$query
			->update($db->quoteName('#__extensions'))
			->set($db->quoteName('enabled') . ' = 1')
			->where($db->quoteName('type') . ' = ' . $db->quote('plugin'))
			->where($db->quoteName('element') . ' = ' . $db->quote('chatbro'));

		$db->setQuery($query);

		try {
			$db->execute();
		} catch (Exception $e) {
			return false;
		}

		// Reset cache
		$cache = Factory::getCache('com_plugins');
		$cache->clean();

		return true;
	}
}
